package solutions.bitbadger.documents.common

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals

class ConfigurationTest {

    @Test
    @DisplayName("Default ID field is `id`")
    fun defaultIdField() {
        assertEquals("id", Configuration.idField, "Default ID field incorrect")
    }

    @Test
    @DisplayName("Default Auto ID strategy is `DISABLED`")
    fun defaultAutoId() {
        assertEquals(AutoId.DISABLED, Configuration.autoIdStrategy, "Default Auto ID strategy should be `disabled`")
    }

    @Test
    @DisplayName("Default ID string length should be 16")
    fun defaultIdStringLength() {
        assertEquals(16, Configuration.idStringLength, "Default ID string length should be 16")
    }
}
